<?php
	session_start();
	
	include_once("../../../php_scripts/msffl/msffl.php");
	include_once("../../../php_scripts/msffl/navbar.php");
	
	// send user back to login page if haven't logged in
	if (strcasecmp($_SESSION['user_type'], "admin") != 0) header("Location: ../login.php");
	else
	{
		create_header("FF Admin: Set current time mode",
		"modified suicide fantasy football league, administration, current time, test time",
		"FF Admin page to set current time mode");
		echo "<body>\n";
		
		create_navbar($_SESSION['user_type'], "testtime.php");
		
		echo "<p>Hello ".$_SESSION['first_name'].", what mode of current time do you desire?</p>\n";
	
		$months = array(1 => "January", 2 => "February", 3 => "March", 
		4 => "April", 5 => "May", 6 => "June", 7 => "July", 8 => "August", 
		9 => "September", 10 => "October", 11 => "November", 12 => "December");
	
		// create "set pool cutoff" form
		echo "<form action=\"testtime.php\" method=\"post\">\n";
		create_radio_form_elements(array("Standard time", "Test time"), "time_setup");
		echo "<p><input type=\"submit\" name=\"set_time_setup\" value=\"Set Time Setup\" /></p>
			</form>\n";
		
		if (isset($_POST['set_time_setup']))
		{
			// standard time chosen: set cutoff time entry to 0
			if (strcasecmp($_POST['time_setup'], "standard_time") == 0)
			{
				$fh = fopen("../../../football/config/timesetup.txt", "w+");
				fwrite($fh, "0");
				echo "<p>Actual time selected for current time. (The value in the config file is "
					.file_get_contents("../../../football/config/timesetup.txt").".)</p>\n";
				fclose($fh);
			}
			
			// test time chosen: create form to select value of "current time"
			elseif (strcasecmp($_POST['time_setup'], "test_time") == 0)
			{
				// create "set test time" form
				echo "<form action=\"testtime.php\" method=\"post\">\n";

				// create month dropdown
				echo "Date <select name=\"month\">\n";
				create_option_form_elements($months);
				echo "</select>\n";
		
				// create day dropdown
				$days = range(1, 31);
				echo "<select name=\"day\">\n";
				create_option_form_elements($days);
				echo "</select>\n";
		
				// create year dropdown
				$years = range(2008, 2050);
				echo "<select name=\"year\">\n";
				create_option_form_elements($years);
				echo "</select>\n";
		
				// end form
				echo "<p><input type=\"submit\" name=\"set_date\" value=\"Set date\" /></p>
					</form>\n";
			}
			
			// value not selected: excoriate user
			else echo "<p>C'mon, ".$_SESSION['first_name'].", select a value!<p>\n";
		}
		
		// insert selected value of test time into file
		if (isset($_POST['set_date']))
		{
			// check date validity
			if (!checkdate(array_search($_POST['month'], $months), $_POST['day'], $_POST['year']))
			{
				echo "<p>Invalid day/month/year combination.</p>\n";
			}

			// date valid, update file display confirmation message
			else
			{
				// convert date to timestamp
				$test_time = mktime(0, 0, 0, array_search($_POST['month'], $months), 
					$_POST['day'], $_POST['year']);

				// place timestamp in file
				$fh = fopen("../../../football/config/timesetup.txt", "w+");
				fwrite($fh, $test_time);
				$timestamp = file_get_contents("../../../football/config/timesetup.txt");
				date_default_timezone_set('America/New_York');
				echo "<p>Test time of ".date("G:i:s T F d, Y", $timestamp)." (timestamp
					$timestamp) in use for current time.</p>\n";
				fclose($fh);
			}
		}
	}
	echo "</body>\n</html>";
?>